import request from '@/utils/request'

// 查询输气站记录列表
export function listTransmissionStation(query) {
  return request({
    url: '/gas/transmissionStation/list',
    method: 'get',
    params: query
  })
}

// 查询输气站记录详细
export function getTransmissionStation(id) {
  return request({
    url: '/gas/transmissionStation/' + id,
    method: 'get'
  })
}

// 新增输气站记录
export function addTransmissionStation(data) {
  return request({
    url: '/gas/transmissionStation',
    method: 'post',
    data: data
  })
}

// 修改输气站记录
export function updateTransmissionStation(data) {
  return request({
    url: '/gas/transmissionStation',
    method: 'put',
    data: data
  })
}

// 删除输气站记录
export function delTransmissionStation(id) {
  return request({
    url: '/gas/transmissionStation/' + id,
    method: 'delete'
  })
}
